%define  ver     0.1.6
%define  rel     5
%define  prefix  /usr

Summary: Library to handle various audio file formats.
Name: audiofile
Version: %ver
Release: %rel
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/audiofile/audiofile-%{PACKAGE_VERSION}.tar.gz
Patch0: audiofile-0.1.6-sparc-noswap.patch
BuildRoot:/var/tmp/audiofile-%{PACKAGE_VERSION}-root
Docdir: %{prefix}/doc

%description
Library to handle various audio file formats.
Used by the esound daemon.

%package devel
Summary: Libraries, includes and other files to develop audiofile applications.
Group: Development/Libraries

%description devel
Libraries, include files and other resources you can use
to develop audiofile applications.

%prep
%setup
%patch0 -p0

%build

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
make

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT

#
# makefile is broken, sets exec_prefix explicitely.
#
make exec_prefix=$RPM_BUILD_ROOT/%{prefix} prefix=$RPM_BUILD_ROOT/%{prefix} install 

# strip binaries
strip `file $RPM_BUILD_ROOT/%{prefix}/bin/* | awk -F':' '/not strip/ { print $1 }'`

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Apr 18 1999 Matt Wilson <msw@redhat.com>
- updated patch from DaveM

* Fri Apr 16 1999 Matt Wilson <msw@redhat.com>
- added patch from Dave Miller to disable byte swapping in decoding

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries before packaging

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- Version 0.1.6

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- Removed libtoolize from %build

* Wed Feb 3 1999 Jonathan Blandfor <jrb@redhat.com>
- Newer version with bug fix.  Upped release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- integrating into rawhide release at GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file

%files
%defattr(-, root, root)
%doc COPYING TODO README ChangeLog docs
%{prefix}/bin/sfconvert
%{prefix}/bin/sfinfo
%{prefix}/lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/bin/audiofile-config
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/include/*
